package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 渠道报备客户表 
 * </p>
 *
 * @author jobob
 * @since 2021-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_channel_customer")
public class ChannelCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String channelCustomerId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 电话
     */
    private String phone;

    /**
     * 昵称
     */
    private String name;

    /**
     * 头像
     */
    private String picture;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * personId
     */
    private String personId;

    /**
     * 推荐人 personid
     */
    private String recommendPerson;

    /**
     * 状态 1是审核中 2是审核通过 3是审核不通过
     */
    private String status;

    /**
     * 渠道id
     */
    private String channelId;


}
